<script>
    import { createEventDispatcher } from "svelte";
    import Modal from "./Modal.svelte";
    import { getGtfsArchivo } from "$/services/gtfs_archivo";
    const dispatch = createEventDispatcher();

    let open = true

    async function onRefrescar() {
        try {
            const rows = await getGtfsArchivo({ status: 'PROCESANDO' })
            open = rows.length > 0
            !open && dispatch('close')
        } catch (error) {
            console.log({ error })
            globalThis.toast.error('Error en consulta de estado de actualizacion')
        }
    }

    onRefrescar()
</script>

{#if open}
    <Modal title="Actualizandose..."
        classPosition='modal-dialog-centered'
        showButtonClose={false}>
        <div class="text-center">
            <button class="btn btn-primary" on:click|preventDefault={onRefrescar}>
                <i class="bi bi-arrow-repeat"></i> Refrescar
            </button>
        </div>
    </Modal>
{/if}